Part Box/zh-cn: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|
|
Line 16: Line 17:
}}
}}


== Description ==

<div class="mw-translate-fuzzy">
==概述==
==概述==
利用[[Part_Workbench|零件工作台(Part Workbench)]]中的立方体命令可向处于活动状态的文档中插入一个参数化 [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid 长方体]几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。
利用[[Part_Workbench|零件工作台(Part Workbench)]]中的立方体命令可向处于活动状态的文档中插入一个参数化 [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid 长方体]几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。
</div>


[[Image:Part_Box.jpg|400px|在零件工作台中创建的立方体]]
[[Image:Part_Box.jpg|400px|Part_Box]]

== Usage ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 31: Line 38:
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.


== Properties ==
<div class="mw-translate-fuzzy">
==属性==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: 指定立方体在3D空间中的朝向与位置。可参考[[Placement | 朝向]]。立方体前侧左下角角点即为参照点。
*{{PropertyData|Label}}: 为对应立方体对象指定的标签。可按需修改。
</div>


{{Properties_Title|Box}}

<div class="mw-translate-fuzzy">
{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。
*{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。
*{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上的尺寸。
*{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上的尺寸。
*{{PropertyData|Height}}: 此高度参数是立方体在z轴方向上的尺寸。
*{{PropertyData|Height}}: 此高度参数是立方体在z轴方向上的尺寸。
</div>


== Scripting ==
[[Image:Part_Box-Properties.jpg|零件工作台中立方体的属性]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 49: Line 55:
通过下列函数即可在[[macros|宏]]以及python控制台中使用立方体命令:
通过下列函数即可在[[macros|宏]]以及python控制台中使用立方体命令:
</div>
</div>

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}

<div class="mw-translate-fuzzy">
* 其中的"myBox"为立方体对象的标签。
* 其中的"myBox"为立方体对象的标签。
* 这段代码会返回一个新创建的立方体类型对象。
* 这段代码会返回一个新创建的立方体类型对象。
</div>


<div class="mw-translate-fuzzy">
您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。
您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。
</div>

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
box.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
box.Height = 30
}}
}}


您还可以通过下列代码修改立方体对象的方位:
您还可以通过下列代码修改立方体对象的方位:

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
}}
}}



Revision as of 14:02, 8 January 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

Part_Box

Usage

如何使用

  • 在零件工作台中点选立方体图标
  • 或者,您也可以从菜单栏中选择Part → Primitives → Cube

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Box

Box

  • 数据Length: 此长度参数是立方体在x轴方向上的尺寸。
  • 数据Width: 此宽度参数是立方体在y轴方向上的尺寸。
  • 数据Height: 此高度参数是立方体在z轴方向上的尺寸。

Scripting

脚本

通过下列函数即可在以及python控制台中使用立方体命令:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • 其中的"myBox"为立方体对象的标签。
  • 这段代码会返回一个新创建的立方体类型对象。

您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。

box.Length = 25
box.Width = 15
box.Height = 30

您还可以通过下列代码修改立方体对象的方位:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))